Xerces-C++ 3.1.3

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
MemBufFormatTarget Class Reference
Inheritance diagram for MemBufFormatTarget:

## Public Member Functions

virtual void | writeChars (const XMLByte *const toWrite, const XMLSize_t count, XMLFormatter *const formatter)
const XMLByte * | getRawBuffer () const
| Returned the internal raw buffer.
XMLSize_t | getLen () const
| Returned the length of the raw buffer.
constructors and destructor
| MemBufFormatTarget (XMLSize_t initCapacity=1023, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| ~MemBufFormatTarget ()
reset
void | reset ()
| Reset the internal string buffer.
Public Member Functions inherited from XMLFormatTarget
virtual | ~XMLFormatTarget ()
virtual void | flush ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Additional Inherited Members

Protected Member Functions inherited from XMLFormatTarget
| XMLFormatTarget ()

## Constructor & Destructor Documentation

MemBufFormatTarget::MemBufFormatTarget | ( | XMLSize_t | initCapacity = `1023`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

MemBufFormatTarget::~MemBufFormatTarget | ( |  | ) |

## Member Function Documentation

XMLSize_t MemBufFormatTarget::getLen | ( |  | ) | const

Returned the length of the raw buffer.

const XMLByte* MemBufFormatTarget::getRawBuffer | ( |  | ) | const

Returned the internal raw buffer.

void MemBufFormatTarget::reset | ( |  | ) |

Reset the internal string buffer.

virtual void MemBufFormatTarget::writeChars | ( | const XMLByte *const | toWrite,
|  | const XMLSize_t | count,
|  | XMLFormatter *const | formatter
| ) |  |

virtual

Implements XMLFormatTarget.

The documentation for this class was generated from the following file:

- MemBufFormatTarget.hpp